# NATS C Client with JetStream and Streaming support: micro_endpoint_config_s Struct Reference

Loading...
Searching...
No Matches
micro_endpoint_config_s Struct Reference
EXPERIMENTAL - Microservices » Public structs

`#include <nats.h>`

## Public Attributes

const char * | Name
| The name of the endpoint.
const char * | Subject
| The NATS subject the endpoint will listen on.
natsMetadata | Metadata
microRequestHandler | Handler
| The request handler for the endpoint.
void * | State
| A user-provided pointer to store with the endpoint (state/closure).

## Detailed Description

The Microservice endpoint configuration object.

## Member Data Documentation

## Name

const char* micro_endpoint_config_s::Name

Used in the service stats to list endpoints by name. Must not be empty.

## Subject

const char* micro_endpoint_config_s::Subject

Wildcards are allowed. If `Subject` is empty, it attempts to default to `Name`, provided it is a valid subject.

For endpoints added to a group, the subject is automatically prefixed with the group's prefix.

## Metadata

natsMetadata micro_endpoint_config_s::Metadata

@briefMetadata for the endpoint, a JSON-encoded user-provided object, e.g. `{"key":"value"}`

## Handler

microRequestHandler micro_endpoint_config_s::Handler

## State

void* micro_endpoint_config_s::State

The documentation for this struct was generated from the following file:

- nats.h